curl --request PATCH \
--url https://sandbox.intermezzo.ai/organizations/{organization_id}/worksites/{worksite_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"address": "<string>",
"correspondenceAddress": "<string>",
"isActive": true,
"isPrimary": true
}
'{
"name": "<string>",
"address": "<string>",
"isActive": true,
"isPrimary": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"correspondenceAddress": "<string>",
"orgId": "<string>",
"contacts": [
{
"name": "<string>",
"id": "<string>",
"email": "jsmith@example.com",
"phone": {
"phoneNumber": "<string>",
"phoneType": "mobile"
},
"roles": []
}
],
"taxIdentifiers": [],
"insuranceData": []
}curl --request PATCH \
--url https://sandbox.intermezzo.ai/organizations/{organization_id}/worksites/{worksite_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"address": "<string>",
"correspondenceAddress": "<string>",
"isActive": true,
"isPrimary": true
}
'{
"name": "<string>",
"address": "<string>",
"isActive": true,
"isPrimary": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"correspondenceAddress": "<string>",
"orgId": "<string>",
"contacts": [
{
"name": "<string>",
"id": "<string>",
"email": "jsmith@example.com",
"phone": {
"phoneNumber": "<string>",
"phoneType": "mobile"
},
"roles": []
}
],
"taxIdentifiers": [],
"insuranceData": []
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successful Response
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?